Loading...
Searching...
No Matches
calc.c File Reference
`#include <unistd.h>`
`#include <signal.h>`
`#include <grass/calc.h>`
Include dependency graph for calc.c:

Go to the source code of this file.

## Functions

void | pre_exec (void)
void | post_exec (void)
void | calc_init (int cols)

## Variables

volatile int | floating_point_exception
volatile int | floating_point_exception_occurred
int | columns

## Function Documentation

## calc_init()

void calc_init | ( | int | cols | ) |

Definition at line 55 of file calc.c.

References columns.

## post_exec()

void post_exec | ( | void |  | ) |

Definition at line 38 of file calc.c.

References NULL.

## pre_exec()

void pre_exec | ( | void |  | ) |

Definition at line 21 of file calc.c.

References floating_point_exception_occurred, and NULL.

## Variable Documentation

## columns

int columns

Definition at line 11 of file calc.c.

Referenced by calc_init(), f_abs(), f_acos(), f_add(), f_and(), f_and2(), f_asin(), f_atan(), f_bitand(), f_bitnot(), f_bitor(), f_bitxor(), f_ceil(), f_cos(), f_div(), f_double(), f_eq(), f_eval(), f_exp(), f_float(), f_floor(), f_ge(), f_graph(), f_graph2(), f_gt(), f_int(), f_isnull(), f_le(), f_log(), f_lt(), f_max(), f_median(), f_min(), f_mod(), f_mode(), f_mul(), f_ne(), f_neg(), f_nmax(), f_nmedian(), f_nmin(), f_nmode(), f_not(), f_null(), f_or(), f_or2(), f_pow(), f_rand(), f_round(), f_shiftl(), f_shiftr(), f_shiftru(), f_sin(), f_sqrt(), f_sub(), and f_tan().

## floating_point_exception

volatile int floating_point_exception

Definition at line 8 of file calc.c.

Referenced by f_acos(), f_asin(), f_atan(), f_cos(), f_div(), f_exp(), f_log(), f_mod(), f_pow(), f_sin(), f_sqrt(), and f_tan().

## floating_point_exception_occurred

volatile int floating_point_exception_occurred

Definition at line 9 of file calc.c.

Referenced by pre_exec().